Skip to main content
GET
/
workflows
/
v1
/
workflow-webhooks
/
events
List Workflow Webhook Events
curl --request GET \
  --url https://api-qa.interactly.ai/workflows/v1/workflow-webhooks/events \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "event_id": "<string>",
      "subscription_id": "<string>",
      "action": "workflow_created",
      "team_id": "<string>",
      "created_by": "<string>",
      "updated_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "_id": "5eb7cf5a86d9755df3a6c593",
      "workflow_id": "<string>",
      "workflow_name": "<string>",
      "workflow_run_id": "<string>",
      "workflow_run_status": "<string>",
      "payload": {},
      "dedupe_key": "<string>",
      "status": "pending",
      "attempts_count": 0,
      "next_retry_at": "2023-11-07T05:31:56Z",
      "delivered_at": "2023-11-07T05:31:56Z",
      "last_attempt_at": "2023-11-07T05:31:56Z",
      "last_status_code": 123,
      "last_error": "<string>"
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Query Parameters

subscription_id
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

workflow_id
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

action
enum<string> | null
Available options:
workflow_created,
workflow_updated,
workflow_deleted,
workflow_run_started,
workflow_run_completed
status
enum<string> | null
Available options:
pending,
retrying,
delivered,
failed
size
integer
default:300

Number of items per page

Required range: x >= 1
page
integer
default:1

Page number

Required range: x >= 1
search
string | null

Search keywords

start
string<date-time> | null

Filter by start time (ISO 8601 format)

end
string<date-time> | null

Filter by end time (ISO 8601 format)

Response

Successful Response

events
WorkflowWebhookEventModel · object[]
required
total
integer
required